# https://github.com/davidhalter/parso/archive/v0.2.0.tar.gz
%global module parso

Name:           python-%{module}
Version:        0.2.0
Release:        %mkrel 2
Summary:        Python parser that supports error recovery and round-trip parsing

License:        MIT
Group:          Development/Python
URL:            https://github.com/davidhalter/parso
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}.
Group:          Development/Python

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitelib}

%files
%doc LICENSE.txt README.rst
%{python_sitelib}/*

%files -n python3-%{module}
%doc LICENSE.txt README.rst
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 0.2.0-2pclos2022
- rebuild against updates

* Sat Apr 07 2018 marcin82 <fixxer1982 at gmail.com> 0.2.0-1pclos2018
- initial build for PCLinuxOS
